inotify: adding test for issue1556
authorDmitriy Kostunin <dmitriy.kostunin@gmail.com>
Tue, 31 Mar 2009 00:04:07 +0900
changeset 8601 021de2d12355
parent 8600 d46cdfcecaf1
child 8602 b26aaf13f29c
inotify: adding test for issue1556
tests/test-inotify-issue1556
tests/test-inotify-issue1556.out
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify-issue1556	Tue Mar 31 00:04:07 2009 +0900
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" inotify || exit 80
+
+hg init
+
+touch a b
+hg add a b
+rm b
+
+echo % status without inotify
+hg st
+
+echo "[extensions]" >> $HGRCPATH
+echo "inotify=" >> $HGRCPATH
+
+echo % inserve
+hg inserve -d --pid-file=hg.pid 2>&1
+cat hg.pid >> "$DAEMON_PIDS"
+
+echo % status
+hg st
+
+sleep 1
+echo "Are we able to kill the service? if not, the service died on some error"
+kill `cat hg.pid`
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify-issue1556.out	Tue Mar 31 00:04:07 2009 +0900
@@ -0,0 +1,9 @@
+% status without inotify
+A a
+! b
+% inserve
+% status
+A a
+! b
+? hg.pid
+Are we able to kill the service? if not, the service died on some error